/*
**      $VER: muitoolkit_protos.h 1.0 (24.08.99)
**
**      prototypes for muitoolkit.library
**
**      (C) Copyright 1999 Marcin Orlowski
**      All Rights Reserved.
*/

#ifndef CLIB_MUITOOLKIT_PROTOS_H
#define CLIB_MUITOOLKIT_PROTOS_H

ULONG    mt_Get( Object *object, ULONG attribute );
char     mt_ParseHotkey( char *string );
Object * mt_Label( char *label );
Object * mt_EmptyLabel( void );
Object * mt_PopButton( int image, char *label );
Object * mt_Checkmark( char *label, ULONG value, char *help );
Object * mt_Cycle( char **array, char *label, ULONG value, char *help );
Object * mt_CycleWeight( char **array, char *label, ULONG value, long weight, char *help );
Object * mt_Slider( int min, int max, int level, char *label, char *help );
Object * mt_SliderFmt( int min, int max, int level, char *label, char *fmt, char *help );
Object * mt_String( char *str, int maxlen, char *label, char *help );
Object * mt_StringSecret( char *string, int maxlen, char *label, char *help );
Object * mt_StringAccept( char *string, int maxlen, char *label, char *accept, char *help );
Object * mt_StringReject( char *string, int maxlen, char *label, char *reject, char *help );
Object * mt_Button( char *label, char *help );
Object * mt_ButtonWeight( char *label, int weight, char *help );
Object * mt_ButtonToggle( char *label, char *help );
Object * mt_Radio( char *array, char *label, char *help );
Object * mt_Check( char *label, ULONG aligment, ULONG state, char *help );

ULONG    mt_WinOpen( Object *win );
ULONG    mt_WinAttach( Object *app, Object *win );
void     mt_WinDetach( Object *app, Object *win );

Object * mt_Text( char *string, char *preparse );

ULONG mt_GetStringA( Object *app, char *buffer, ULONG buf_len, struct TagItem *tags );
ULONG mt_GetString(  Object *app, char *buffer, ULONG buf_len, Tag tag1, ... );

ULONG mt_GetIntegerA( Object *app, LONG *value, struct TagItem *tags );
ULONG mt_GetInteger(  Object *app, LONG *value, Tag tag1, ... );


#endif /* CLIB_MUITOOLKIT_PROTOS_H */
